volumes:
  postgres-data:
    external: true
  pg-admin:
    external: true
  jwtdown-db-data:
    external: true
services:
  postgres:
    image: postgres:14.2-bullseye
    build:
      context: ./relational-data
      dockerfile: ./Dockerfile.dev
    volumes:
      - ./data/postgres/init:/docker-entrypoint-initdb.d
      - postgres-data:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: tuneworld
      POSTGRES_PASSWORD: tuneworld
      POSTGRES_USER: tuneworld
    ports:
      - 5432:5432
  pg-admin:
    image: dpage/pgadmin4
    volumes:
      - pg-admin:/var/lib/pgadmin
    ports:
      - 8082:80
    environment:
      PGADMIN_DEFAULT_EMAIL: test@gma.com
      PGADMIN_DEFAULT_PASSWORD: tuneworld
      PGADMIN_DISABLE_POSTFIX: 1
  tuneworldapi:
    build:
      context: ./tuneworldapi
      dockerfile: ./Dockerfile.dev
    ports:
      - "8000:8000"
    volumes:
      - ./tuneworldapi:/app
    depends_on:
      - postgres
    environment:
      DATABASE_URL: postgresql://tuneworld:tuneworld@postgres/tuneworld
      SIGNING_KEY: ${SIGNING_KEY}
      API_CLIENT_ID: ${CLIENT_ID}
      API_CLIENT_SECRET: ${CLIENT_SECRET}
      WAIT_HOSTS: postgres:5432
      # WAIT_TIMEOUT: 300

  ghi:
    image: node:lts-bullseye
    command: /bin/bash run.sh
    working_dir: /app
    volumes:
      - ./ghi:/app
    ports:
      - "3000:3000"
    environment:
      HOST_OS: ${OS}
      NODE_ENV: development
      HOST: "0.0.0.0"
      PUBLIC_URL: http://localhost:3000
      REACT_APP_TUNEWORLD_API_HOST: http://localhost:8000
      REACT_APP_CLIENT_ID: ${CLIENT_ID}
      REACT_APP_CLIENT_SECRET: ${CLIENT_SECRET}
